This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266911 - CLI should not force --neutron-tunnel-types if --neutron-disable-tunneling is specified
CLI should not force --neutron-tunnel-types if --neutron-disable-tunneling is...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: y1
: 7.0 (Kilo)
Assigned To: Brad P. Crochet
Alexander Chuzhoy
: Triaged
: 1266925 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 09:30 EDT by Mike Burns
Modified: 2015-10-08 08:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.10-7.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:19:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 228446 None None None Never

  None (edit)
Description Mike Burns 2015-09-28 09:30:21 EDT
Description of problem:
a new validation to enforce neutron-tunnel-types matching neutron-network-type doesn't acknowledge --neutron-disable-tunneling

Version-Release number of selected component (if applicable):


How reproducible:
python-rdomanager-oscplugin-0.0.10-6.el7ost

Steps to Reproduce:
1. deploy with --neutron-disable-tunneling and no --neutron-tunnel-type
2.
3.

Actual results:
Error below

Expected results:
succeeds and deploys without tunneling

Additional info:

openstack overcloud deploy -e /home/stack/templates/network-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e /home/stack/templates/bigswitch-config.yaml --neutron-network-type vlan --neutron-network-vlan-ranges datacentre:2000:3000 --neutron-disable-tunneling --compute-scale 2 --control-scale 3 --ceph-storage-scale 0 --templates --control-flavor control --compute-flavor compute --ntp-server 0.rhel.pool.ntp.org --debug 2>&1 | tee haha-2042.log



DEBUG: keystoneclient.auth.identity.v2 Making authentication request to http://192.0.2.1:5000/v2.0/tokens
DEBUG: requests.packages.urllib3.connectionpool "POST /v2.0/tokens HTTP/1.1" 200 3551
DEBUG: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud take_action(Namespace(block_storage_flavor=None, block_storage_scale=None, ceph_storage_flavor=None, ceph_storage_scale=0, compute_flavor='compute', compute_scale=2, control_flavor='control', control_scale=3, environment_files=['/home/stack/templates/network-environment.yaml', '/usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml', '/home/stack/templates/bigswitch-config.yaml'], hypervisor_neutron_public_interface='nic1', libvirt_type='kvm', neutron_bridge_mappings=None, neutron_disable_tunneling=True, neutron_flat_networks=None, neutron_mechanism_drivers=None, neutron_network_type='vlan', neutron_network_vlan_ranges='datacentre:2000:3000', neutron_physical_bridge=None, neutron_public_interface=None, neutron_tunnel_id_ranges='1:1000', neutron_tunnel_types=None, neutron_vni_ranges='1:1000', no_proxy='', ntp_server='0.rhel.pool.ntp.org', output_dir=None, plan=None, reg_activation_key='', reg_force=False, reg_method='satellite', reg_org='', reg_sat_url='', rhel_reg=False, stack='overcloud', swift_storage_flavor=None, swift_storage_scale=None, templates='/usr/share/openstack-tripleo-heat-templates/', timeout=240, tripleo_root='/etc/tripleo', validation_errors_fatal=False, validation_warnings_fatal=False))
ERROR: openstack Neutron tunnel types must be specified when Neutron network type is specified
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 1161, in take_action
    self._validate_args(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 750, in _validate_args
    raise oscexc.CommandError("Neutron tunnel types must be specified "
CommandError: Neutron tunnel types must be specified when Neutron network type is specified
DEBUG: openstackclient.shell clean_up DeployOvercloud
DEBUG: openstackclient.shell got an error: Neutron tunnel types must be specified when Neutron network type is specified
ERROR: openstackclient.shell Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/openstackclient/shell.py", line 176, in run
    return super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 230, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 1161, in take_action
    self._validate_args(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 750, in _validate_args
    raise oscexc.CommandError("Neutron tunnel types must be specified "
CommandError: Neutron tunnel types must be specified when Neutron network type is specified
Comment 2 bigswitch 2015-09-28 12:23:34 EDT
*** Bug 1266925 has been marked as a duplicate of this bug. ***
Comment 4 Alexander Chuzhoy 2015-10-01 11:22:37 EDT
Verified:
Environment:
python-rdomanager-oscplugin-0.0.10-7.el7ost.noarch

Successfully deployed with:

openstack overcloud deploy --templates --control-scale 3 --compute-scale 1  --ceph-storage-scale 0 -e /usr/share/openstack-tripleo-heat-templates/environments/puppet-ceph-external.yaml -e /home/stack/network-environment.yaml --ntp-server X.X.X.X  --timeout 90 --compute-flavor compute --control-flavor control -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml --neutron-bridge-mappings datacentre:br-ex  --neutron-network-vlan-ranges datacentre:18:43  --neutron-disable-tunneling --neutron-network-type vla
Comment 6 errata-xmlrpc 2015-10-08 08:19:52 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Note You need to log in before you can comment on or make changes to this bug.